<?

/*

A co z plikami modulow/szablonami?



Co z szablonami modulowymi?





Edytor szablonow do dokonczenia ...



*/







session_start();


	include "../../include/baza_danych.php";
	include "../../include/check_login.php";
	include "../../include/functions.php";

if(!isset($go)){ $go = 'szablony'; }

?>
<html>
<head>

	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
	<link rel="stylesheet" type="text/css" href="../css/main.css" media="screen" />
	<!--[if lte IE 6]>
	<link rel="stylesheet" type="text/css" href="../css/ie6_or_less.css" />
	<![endif]-->
	<script type="text/javascript" src="../js/common.js"></script>





    <style>

@import url(../../include/domtt/domtt.css);

    </style>

    <script type="text/javascript" language="javascript" src="../../include/domtt/domLib.js"></script>

    <script type="text/javascript" language="javascript" src="../../include/domtt/domTT.js"></script>

    <script type="text/javascript" language="javascript">

var domTT_styleClass = 'domTTOverlib';

    </script>

    

</head>

<body id="type-a">

<div id="wrap">

	<div id="header" style="padding-top: 8px">
		<ul id="nav">
		<li<? if($go=="szablony"){ echo' class="active"';} else {echo' class="first"';} ?>><a href="?go=szablony">Lista szablonów</a></li>
		<!--<li<? if($go=="szablony_modulowe"){ echo' class="active"';} ?>><a href="?go=szablony_modulowe">Szablony modułowe</a></li>-->
		<li<? if($go=="dodaj_szablon"){ echo' class="active"';} ?>><a href="?go=dodaj_szablon">Dodaj szablon</a></li>
		</ul>
	</div>

	<div id="content-wrap">

		<div id="content">

			<div id="breadcrumb">

<?

if($logged_in==1 & pd(5)){








if($go=="dodaj_szablon"){

	if (isset($_POST['dodanie_szablonu'])){

		if($nazwa_szablonu!=null){  

			$nazwa_szablonu_temp = $nazwa_szablonu;

			$nazwa_szablonu = str_replace(' ', "_", strtolower($nazwa_szablonu)).".tpl.html";

			if(file_exists("../../templates/".$katalog_serwisu.$nazwa_szablonu)){	

				$komunikat = '<div class="featurebox"><h3>Błąd</h3><p>Szablon o podanej nazwie już istnieje</p></div>';	    

			}else{

	         $up = fopen("../../templates/".$katalog_serwisu.$nazwa_szablonu,"w");

	         //fputs($up, "\n".'{$'.$nazwa_pola.'}');

	         fputs($up, "\n");

	         

	         fclose($up); 		

			   //chmod("/home/virtual/polnet.pl/htdocs/templates/".$katalog_serwisu.$nazwa_szablonu,0777);

				$komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Szablon o nazwie "'.$nazwa_szablonu.'" został pomyślnie utworzony i przypisany do serwisu ID '.$_SESSION['ID_serwisu'].'</p></div>';

			}

	    }else{

	    	$komunikat = '<div class="featurebox"><h3>Błąd</h3><p>Wypełnij proszę wszystkie wymagane pola.</p></div>';	    

	    }

	}



	echo $komunikat.'

			<form action="?go=dodaj_szablon" method="post" class="f-wrap-1">

			<div class="req"><b>*</b> Pola wymagane</div>

			<fieldset>

			<h3>Nowy szablon w serwisie ID '.$_SESSION['ID_serwisu'].'</h3>

			

			<label for="nazwa_szablonu"><b><span class="req">*</span>Nazwa szablonu:</b>

			<input id="nazwa_szablonu" name="nazwa_szablonu" value="'.$nazwa_szablonu_temp.'" type="text" class="f-name" tabindex="1" /><br />

			</label>

			 

			<div class="f-submit-wrap">

			<input type="submit" name="dodanie_szablonu" value="Dodaj nowy szablon" class="f-submit" tabindex="2" /><br />

			</div>

			</fieldset>

			</form>

	';

}







if($go=="usun_szablon" & isset($_GET['szablon'])){

	$sciezka = "../../templates/".$katalog_serwisu;



	if($potwierdzenie_usuniecia=="tak"){



	   $do_usuniecia = array();

	   $wykonaj = mysql_query ("SELECT nazwa_pola FROM ".$db_pref."pole WHERE id_serwisu='".$_SESSION['ID_serwisu']."' and nazwa_pliku='".$szablon."';");

	   while($wiersz=mysql_fetch_array ($wykonaj)){

	      $do_usuniecia[] = $wiersz['nazwa_pola'];

	   } 	

	   

	   $lista_stron = array();

	   $wykonaj = mysql_query ("SELECT id FROM ".$db_pref."strona WHERE id_serwisu='".$_SESSION['ID_serwisu']."' and nazwa_pliku='".$szablon."';");

	   while($wiersz=mysql_fetch_array ($wykonaj)){

	      $lista_stron[] = $wiersz['id'];

	   }  	

	   

	   $licznik = 0;

	   while ($do_usuniecia[$licznik]!=null){

	     $wykonaj = mysql_query ("DELETE FROM ".$db_pref."pole WHERE nazwa_pola='".$do_usuniecia[$licznik]."' and id_serwisu='".$_SESSION['ID_serwisu']."' and nazwa_pliku='".$szablon."' LIMIT 1;");

	     $licznik2 = 0;

	     while ($lista_stron[$licznik2]!=null){

	        $wykonaj2 = mysql_query ("DELETE FROM ".$db_pref."tresc WHERE alias='".$do_usuniecia[$licznik]."' and id_serwisu='".$_SESSION['ID_serwisu']."' and id_strony='".$lista_stron[$licznik2]."' LIMIT 1;");

	        $licznik2++;   

	     }           

	     $licznik++; 

	   }	

 

	   $licznik = 0;

	   while ($lista_stron[$licznik]!=null){

	      $wykonaj = mysql_query ("DELETE FROM ".$db_pref."strona WHERE id='".$lista_stron[$licznik]."' and id_serwisu='".$_SESSION['ID_serwisu']."' and id_strony='".$lista_stron[$licznik]."' LIMIT 1;");

	      $licznik++; 

	   }     

		

		if(file_exists($sciezka.$szablon)){ unlink($sciezka.$szablon); } 	



	   $komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Szablon "'.$szablon.'" został usunięty pomyślnie, razem ze wszystkimi powiązanymi danymi</p></div>';

	}else{

	   $komunikat2 = '<div class="pagination">

	   <p><a href="?go=usun_szablon&szablon='.$szablon.'&potwierdzenie_usuniecia=tak"><strong>TAK</strong></a>&nbsp;&nbsp; <a href="?go=szablony"><font color="#FF0000">NIE</font></a></p>

	   <h4>Czy napewno chcesz usunąć ten szablon?</h4></div>';

	   $komunikat = '<div class="featurebox"><h3>Uwaga!!!</h3><p>Zostanie usunięty szablon o nazwie "'.$szablon.'"<br>Razem z szablonem zostaną usunięte wszystkie powiązane dane (np. strony, pola edycji, treści pól edycji)</p>'.$komunikat2.'</div>';

	}

	echo $komunikat;

}







if($go=="podglad_szablonu" & isset($szablon)){

	$sciezka = "../../templates/".$katalog_serwisu;

	$cel = file_get_contents($sciezka.$szablon);

	echo'Szablon: <b>templates/'.$katalog_serwisu.$szablon.'</b><br />

	<textarea rows="18" name="podglad_szablonu" style="width: 100%">'.$cel.'</textarea><br />

	';

}







if($go=="dodaj_pole_edytowalne"){

	if (isset($_POST['dodanie_pola']) and $nazwa_pola!=null and $opis_pola!=null){    

	   if($_POST['ile_pol']>1){

	    $temp_nazwa=$nazwa_pola;

	    $temp_opis=$opis_pola;

	      for($x=1;$x<($_POST['ile_pol']+1);$x++){

	         $nazwa_pola = $temp_nazwa.$x;

	         $opis_pola = $temp_opis." ".$x;

	         $zapytanie = "INSERT INTO ".$db_pref."pole (nazwa_pliku,nazwa_pola,opis,id_serwisu) VALUES ('".$szablon."','".$nazwa_pola."','".$opis_pola."','".$_SESSION['ID_serwisu']."')";

	         $wykonaj = mysql_query($zapytanie); 

	         $up = fopen("../../templates/".$katalog_serwisu.$szablon,"a+t");

	         fputs($up, "\n".'{$'.$nazwa_pola.'}');

	         fclose($up);

	      }

	    }

	    if($_POST['ile_pol']==1 or $_POST['ile_pol']==null){

	       $zapytanie = "INSERT INTO ".$db_pref."pole (nazwa_pliku,nazwa_pola,opis,id_serwisu) VALUES ('".$szablon."','".$nazwa_pola."','".$opis_pola."','".$_SESSION['ID_serwisu']."')";

	       $wykonaj = mysql_query($zapytanie);

	       

	       $up = fopen("../../templates/".$katalog_serwisu.$szablon,"a+t");

	       fputs($up, "\n".'{$'.$nazwa_pola.'}');

	       fclose($up);

	    }

	    echo'<div class="featurebox"><h3>Komunikat</h3><p>Pole zostało przypisane do szablonu: <b>'.$szablon.'</b></p></div>';

	}



	echo $komunikat.'

			<form action="?go=dodaj_pole_edytowalne" method="post" class="f-wrap-1">

			<input type="hidden" name="szablon" value="'.$szablon.'">

			

			<div class="req"><b>*</b> Pola wymagane</div>

			

			<fieldset>

			

			<h3>Nowe pole edytowalne w '.$szablon.'</h3>

			

			<label for="firstname"><b><span class="req">*</span>Nazwa pola:</b>

			<input id="firstname" name="nazwa_pola" value="'.$nazwa_pola.'" type="text" class="f-name" tabindex="1" /><br />

			</label>

	 

			<label for="opis"><b><span class="req">*</span>Opis pola:</b>

			<input id="opis" name="opis_pola" value="'.$opis_pola.'" type="text" class="f-name" tabindex="2" /><br />

			</label>		

				

  			<label for="ile_pol"><b>Ile takich pól:</b>	

			<input id="ile_pol" name="ile_pol" value="'.$ile_pol.'" type="text" class="f-name" tabindex="3" /><br />

			<small>(pozostaw puste jeśli pole ma być pojedyńcze lub wpisz 1)</small>

			</label>			

			

			 

			<div class="f-submit-wrap">

			<input type="submit" name="dodanie_pola" value="Dodaj pole edytowalne" class="f-submit" tabindex="4" /><br />

			</div>

			</fieldset>

			</form>

	';

}







if($go=="usun_pole_edytowalne"){

	$sciezka = "../../templates/".$katalog_serwisu;

	

	if(isset($pole_do_usuniecia) or (isset($_POST['pole_do_usuniecia']) and $pole_do_usuniecia!=null) and $temp!="tak"){

	  if(isset($potwierdzenie_usuniecia)){

	      $wykonaj = mysql_query ("DELETE FROM ".$db_pref."pole WHERE nazwa_pola='".$pole_do_usuniecia."' and id_serwisu='".$_SESSION['ID_serwisu']."' and nazwa_pliku='".$szablon."' LIMIT 1;");



			$lista_stron = array();

	      $wykonaj = mysql_query ("SELECT id FROM ".$db_pref."strona WHERE id_serwisu='".$_SESSION['ID_serwisu']."' and nazwa_pliku='".$szablon."';");

	      while($wiersz=mysql_fetch_array ($wykonaj)){

				$lista_stron[] = $wiersz['id'];

	      }    

			$licznik = 0;

         while ($lista_stron[$licznik]!=null){

         	$wykonaj = mysql_query ("DELETE FROM ".$db_pref."tresc WHERE alias='".$pole_do_usuniecia."' and id_serwisu='".$_SESSION['ID_serwisu']."' and id_strony='".$lista_stron[$licznik]."' LIMIT 1;");

         	$licznik++;	

         }	       



	      $cel = file_get_contents($sciezka.$szablon);

	      $cel = str_replace('{$'.$pole_do_usuniecia.'}', "", $cel);

	      $up = fopen($sciezka.$szablon,"w");

	      fputs($up, $cel);

	      fclose($up);      



	      $komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Pole edytowalne "'.$pole_do_usuniecia.'" zostało usunięte pomyślnie z szablonu "'.$szablon.'"</p></div>';

	  }else{

	    $komunikat2 = '<div class="pagination">

	    <p><a href="?go=usun_pole_edytowalne&szablon='.$szablon.'&pole_do_usuniecia='.$pole_do_usuniecia.'&potwierdzenie_usuniecia"><strong>TAK</strong></a>&nbsp;&nbsp; <a href="?go=usun_pole_edytowalne"><font color="#FF0000">NIE</font></a></p>

	    <h4>Czy napewno chcesz usunąć to pole edytowalne?</h4></div>';

	    $komunikat = '<div class="featurebox"><h3>Uwaga!!!</h3><p>Pole "'.$pole_do_usuniecia.'" zostanie usunięte z szablonu<br>Razem z polem zostaną usunięte wszystkie powiązane dane</p>'.$komunikat2.'</div>';

	  }

	} 



	

	$cel = file_get_contents($sciezka.$szablon); 

	$licznik_pol_w_bazie = 0;

	$wykonaj = mysql_query ("SELECT nazwa_pola FROM ".$db_pref."pole WHERE id_serwisu='".$_SESSION['ID_serwisu']."' and nazwa_pliku='".$szablon."';");

	while($wiersz=mysql_fetch_array ($wykonaj)){

	   $nazwa_pola = $wiersz['nazwa_pola'];

	   if (!preg_match("/".$nazwa_pola."}/i", $cel)) {

	   	$licznik_pol_w_bazie++;

	   }

	}	

	 



	if($licznik_pol_w_bazie!=0){

	  if(isset($potwierdzenie_usuniecia) and $temp=="tak"){

	  		$do_usuniecia = array();

	      $cel = file_get_contents($sciezka.$szablon); 

	      $licznik_pol_w_bazie = 0;

	      $wykonaj = mysql_query ("SELECT nazwa_pola FROM ".$db_pref."pole WHERE id_serwisu='".$_SESSION['ID_serwisu']."' and nazwa_pliku='".$szablon."';");

	      while($wiersz=mysql_fetch_array ($wykonaj)){

	         $nazwa_pola = $wiersz['nazwa_pola'];

	         if (!preg_match("/".$nazwa_pola."}/i", $cel)) {

	         	$do_usuniecia[] = $nazwa_pola;

	         }

	      } 



			$lista_stron = array();

	      $wykonaj = mysql_query ("SELECT id FROM ".$db_pref."strona WHERE id_serwisu='".$_SESSION['ID_serwisu']."' and nazwa_pliku='".$szablon."';");

	      while($wiersz=mysql_fetch_array ($wykonaj)){

				$lista_stron[] = $wiersz['id'];

	      } 



			$licznik = 0;

         while ($do_usuniecia[$licznik]!=null){

         	$wykonaj = mysql_query ("DELETE FROM ".$db_pref."pole WHERE nazwa_pola='".$do_usuniecia[$licznik]."' and id_serwisu='".$_SESSION['ID_serwisu']."' and nazwa_pliku='".$szablon."' LIMIT 1;");

	         $licznik2 = 0;

	         while ($lista_stron[$licznik2]!=null){

	            $wykonaj2 = mysql_query ("DELETE FROM ".$db_pref."tresc WHERE alias='".$do_usuniecia[$licznik]."' and id_serwisu='".$_SESSION['ID_serwisu']."' and id_strony='".$lista_stron[$licznik2]."' LIMIT 1;");

	            $licznik2++;   

	         }         	

         	$licznik++;	

         }

	      

	      if($wykonaj){$komunikat3 = '<div class="featurebox"><h3>Komunikat</h3><p>Nie wykorzystane pola edytowalne zostały usunięte z bazy</p></div>';}

	  }else{

	    $komunikat2 = '<div class="pagination">

	    <p><a href="?go=usun_pole_edytowalne&temp=tak&szablon='.$szablon.'&potwierdzenie_usuniecia"><strong>TAK</strong></a>&nbsp;&nbsp; <a href="?go=usun_pole_edytowalne"><font color="#FF0000">NIE</font></a></p>

	    <h4>Czy chcesz usunąć te pola?</h4></div>';

	    $komunikat3 = '<div class="featurebox"><h3>Uwaga!!!</h3><p>W bazie jest '.$licznik_pol_w_bazie.' pól których nie wykryto w szablonie "'.$szablon.'</p>'.$komunikat2.'</div>';

	  }	

	}

	

	 

	echo $komunikat.$komunikat3.'

			<form action="?go=usun_pole_edytowalne&szablon='.$szablon.'" method="post" class="f-wrap-1">

			

			<div class="req"><b>*</b> Pola wymagane</div>

			

			<fieldset>

			

			<h3>Pola edytowalne w szablonie '.$szablon.'</h3>



  			<b>Pole do usunięcia:</b>

				<fieldset>

';

	$cel = file_get_contents($sciezka.$szablon);

	$wykonaj = mysql_query ("SELECT nazwa_pola,opis FROM ".$db_pref."pole WHERE id_serwisu='".$_SESSION['ID_serwisu']."' and nazwa_pliku='".$szablon."' ORDER BY `nazwa_pola` ASC;");

	while($wiersz=mysql_fetch_array ($wykonaj)){

	   $nazwa_pola = $wiersz['nazwa_pola'];

	   $opis_pola = $wiersz['opis']; 

	   if (preg_match("/".$nazwa_pola."}/i", $cel)) {

echo'	   

				<label for="'.$nazwa_pola.'">

				<input id="'.$nazwa_pola.'" type="radio" name="pole_do_usuniecia" value="'.$nazwa_pola.'" class="f-radio" />

				'.$nazwa_pola.' - '.$opis_pola.'</label>	   

';

	   }

	}

 			

echo'			

				</fieldset>

			

			</fieldset>



			 



			<div class="f-submit-wrap">

			<input type="submit" name="usuniecie_pola_modulu" value="Usuń zaznaczone pole z szablonu" class="f-submit" /><br />

			</div>

			</fieldset>

			</form>

	';

}







if($go=="podglad_pol_edycji" and isset($szablon)){

	$sciezka = "../../templates/".$katalog_serwisu;

	echo $komunikat.'

			<form action="#" method="post" class="f-wrap-1">

			<fieldset>

			<h3>Pola edytowalne w szablonie '.$szablon.'</h3>

				<fieldset>

';

	$lp = 0;

	$wykonaj = mysql_query ("SELECT nazwa_pola,opis FROM ".$db_pref."pole WHERE id_serwisu='".$_SESSION['ID_serwisu']."' and nazwa_pliku='".$szablon."' ORDER BY `nazwa_pola` ASC;");

	while($wiersz=mysql_fetch_array ($wykonaj)){

	   $nazwa_pola = $wiersz['nazwa_pola'];

	   $opis_pola = $wiersz['opis']; 

	   $cel = file_get_contents($sciezka.$szablon);

	   if (preg_match("/".$nazwa_pola."}/i", $cel)) {

	   $lp++;

echo'	   

				<label for="'.$nazwa_pola.'"><small>'.$lp.'.</small> &nbsp;&nbsp;<a href="#cms">'.$nazwa_pola.'</a>&nbsp;&nbsp; <small>'.$opis_pola.'</small></label>	   

';

	   }

	}

echo'			

				</fieldset>

			</fieldset>

			</form>

	';

}







if ($go=="dodaj_pole_reklamy"){

	if (isset($_POST['dodanie_pola_reklamy']) and isset($nazwa_pola)){    

	   $up = fopen("../../templates/".$katalog_serwisu.$szablon,"a+t");

	   fputs($up, "\n".'{$'.$nazwa_pola.'}');

	   fclose($up);

	   $komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Pole zostało przypisane do szablonu: <b>'.$szablon.'</b></p></div>';

	}else{

		$komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Pole reklamy zostanie dodane do szablonu: '.$szablon.'</p></div>';

	}



	echo $komunikat.'

			<form action="?go=dodaj_pole_reklamy" method="post" class="f-wrap-1">

			<input type="hidden" name="szablon" value="'.$szablon.'">

			

			<div class="req"><b>*</b> Pola wymagane</div>

			

			<fieldset>

			

			<h3>Dodawanie nowego pola reklamy</h3>

			

			<label for="firstname"><b><span class="req">*</span>Pole reklmay do dodania:</b>

<select id="nazwa_pola" size="1" name="nazwa_pola" class="f-name" tabindex="1" />';

	$wykonaj = mysql_query ("SELECT nazwa_pola,opis FROM ".$db_pref."pole_reklamy");

	while($wiersz=mysql_fetch_array ($wykonaj)){

	   $nazwa_pola = $wiersz['nazwa_pola'];

	   $opis_pola = $wiersz['opis'];

	   echo '<option value="'.$nazwa_pola.'">'.$nazwa_pola.' - '.$opis_pola.'</option>';

	} 

	

echo '</select>		 <br/>	



			</label>



			<div class="f-submit-wrap">

			<input type="submit" name="dodanie_pola_reklamy" value="Dodaj pole reklamy" class="f-submit" tabindex="2" /><br />

			</div>

			</fieldset>

			</form>

	';

}	







if($go=="usun_pole_reklamy" and isset($szablon)){

	$sciezka = "../../templates/".$katalog_serwisu;

	

	if(isset($pole_do_usuniecia) or (isset($_POST['pole_do_usuniecia']) and $pole_do_usuniecia!=null)){

	  if(isset($potwierdzenie_usuniecia)){

	    $cel = file_get_contents($sciezka.$szablon);

	    $cel = str_replace('{$'.$pole_do_usuniecia.'}', "", $cel);

	    $up = fopen($sciezka.$szablon,"w");

	    fputs($up, $cel);

	    fclose($up);      

	    $komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Pole reklamy "'.$pole_do_usuniecia.'" zostało usunięte pomyślnie z szablonu "'.$szablon.'"</p></div>';

	  }else{

	    $komunikat2 = '<div class="pagination">

	    <p><a href="?go=usun_pole_reklamy&szablon='.$szablon.'&pole_do_usuniecia='.$pole_do_usuniecia.'&potwierdzenie_usuniecia"><strong>TAK</strong></a>&nbsp;&nbsp; <a href="?go=usun_pole_reklamy"><font color="#FF0000">NIE</font></a></p>

	    <h4>Czy napewno chcesz usunąć to pole reklamy?</h4></div>';

	    $komunikat = '<div class="featurebox"><h3>Uwaga!!!</h3><p>Pole "'.$pole_do_usuniecia.'" zostanie usunięte z szablonu</p>'.$komunikat2.'</div>';

	  }

	} 



	echo $komunikat.'

			<form action="?go=usun_pole_reklamy&szablon='.$szablon.'" method="post" class="f-wrap-1">

			<div class="req"><b>*</b> Pola wymagane</div>

			<fieldset>

			<h3>Pola reklamy w szablonie '.$szablon.'</h3>

  			<b>Pole do usunięcia:</b>

				<fieldset>

';

	$wykonaj = mysql_query ("SELECT nazwa_pola,opis FROM ".$db_pref."pole_reklamy");

	while($wiersz=mysql_fetch_array ($wykonaj)){

	   $nazwa_pola = $wiersz['nazwa_pola'];

	   $opis_pola = $wiersz['opis'];

	   $cel = file_get_contents($sciezka.$szablon);

	   if (preg_match("/".$nazwa_pola."}/i", $cel)) {

	   echo'    

	      <label for="'.$nazwa_pola.'">

	      <input id="'.$nazwa_pola.'" type="radio" name="pole_do_usuniecia" value="'.$nazwa_pola.'" class="f-radio" />

	      '.$nazwa_pola.' - '.$opis_pola.'</label>    

	   ';

	   }

	}			

echo'			

				</fieldset>

			</fieldset>

			<div class="f-submit-wrap">

			<input type="submit" name="usuniecie_pola_modulu" value="Usuń zaznaczone pole z szablonu" class="f-submit" /><br />

			</div>

			</fieldset>

			</form>

	';

}







if($go=="podglad_pol_reklamy" and isset($szablon)){

	$sciezka = "../../templates/".$katalog_serwisu;

	echo $komunikat.'

			<form action="#" method="post" class="f-wrap-1">

			<fieldset>

			<h3>Pola reklamy w szablonie '.$szablon.'</h3>

				<fieldset>

';

	$lp = 0;

	$wykonaj = mysql_query ("SELECT nazwa_pola,opis FROM ".$db_pref."pole_reklamy");

	while($wiersz=mysql_fetch_array ($wykonaj)){

	   $nazwa_pola = $wiersz['nazwa_pola'];

	   $opis_pola = $wiersz['opis']; 

	   $cel = file_get_contents($sciezka.$szablon);

	   if (preg_match("/".$nazwa_pola."}/i", $cel)) {

	   $lp++;

echo'	   

				<label for="'.$nazwa_pola.'"><small>'.$lp.'.</small> &nbsp;&nbsp;<a href="#cms">'.$nazwa_pola.'</a>&nbsp;&nbsp; <small>'.$opis_pola.'</small></label>	   

';

	   }

	}

echo'			

				</fieldset>

			</fieldset>

			</form>

	';

}

	



	 

if ($go=="dodaj_pole_grupy"){	

	if (isset($_POST['dodanie_pola_grupy']) and isset($id_pola) and isset($szablon)){   

	   $nazwa_pola = 'grupa_stron_'.$id_pola;

	   $up = fopen("../../templates/".$katalog_serwisu.$szablon,"a+t");

	   fputs($up, "\n".'{$'.$nazwa_pola.'}');

	   fclose($up);

	   $komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Pole zostało przypisane do szablonu: <b>'.$szablon.'</b></p></div>';

	}else{

		$komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Pole grupy stron zostanie dodane do szablonu: '.$szablon.'</p></div>';

	}



	echo $komunikat.'

	<form action="?go=dodaj_pole_grupy" method="post" class="f-wrap-1">

	<input type="hidden" name="szablon" value="'.$szablon.'"> 

	<div class="req"><b>*</b> Pola wymagane</div>        

	<fieldset>       

	<h3>Dodawanie grupy stron do szablonu</h3>     

	<label for="id_pola"><b><span class="req">*</span>Pole grupy do dodania:</b>

	<select id="id_pola" size="1" name="id_pola" class="f-name" tabindex="1" />';

	

	$zapytanie = "SELECT id,nazwa FROM ".$db_pref."grupa WHERE id_serwisu='".$_SESSION['ID_serwisu']."';";

	$wykonaj = mysql_query ($zapytanie);

	while($wiersz=mysql_fetch_array ($wykonaj)){

	   $nazwa_pola = $wiersz['nazwa'];

	   $id_pola = $wiersz['id'];

	   echo '<option value="'.$id.'">'.$nazwa_pola.'</option>';

	} 

	   

	echo '</select><br/> 

	</label>

	<div class="f-submit-wrap">

	<input type="submit" name="dodanie_pola_grupy" value="Dodaj pole grupy strony" class="f-submit" tabindex="2" /><br />

	</div>

	</fieldset>

	</form>

	';

}







if($go=="usun_pole_grupy" and isset($szablon)){

	$sciezka = "../../templates/".$katalog_serwisu;

	

	if(isset($pole_do_usuniecia) or (isset($_POST['pole_do_usuniecia']) and $pole_do_usuniecia!=null)){

	  if(isset($potwierdzenie_usuniecia)){

	    $cel = file_get_contents($sciezka.$szablon);

	    $cel = str_replace('{$'.$pole_do_usuniecia.'}', "", $cel);

	    $up = fopen($sciezka.$szablon,"w");

	    fputs($up, $cel);

	    fclose($up);      

	    $komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Pole grupy "'.$pole_do_usuniecia.'" zostało usunięte pomyślnie z szablonu "'.$szablon.'"</p></div>';

	  }else{

	    $komunikat2 = '<div class="pagination">

	    <p><a href="?go=usun_pole_grupy&szablon='.$szablon.'&pole_do_usuniecia='.$pole_do_usuniecia.'&potwierdzenie_usuniecia"><strong>TAK</strong></a>&nbsp;&nbsp; <a href="?go=usun_pole_grupy"><font color="#FF0000">NIE</font></a></p>

	    <h4>Czy napewno chcesz usunąć to pole grupy stron?</h4></div>';

	    $komunikat = '<div class="featurebox"><h3>Uwaga!!!</h3><p>Pole "'.$pole_do_usuniecia.'" zostanie usunięte z szablonu</p>'.$komunikat2.'</div>';

	  }

	} 



	echo $komunikat.'

			<form action="?go=usun_pole_grupy&szablon='.$szablon.'" method="post" class="f-wrap-1">

			

			<div class="req"><b>*</b> Pola wymagane</div>

			

			<fieldset>

			

			<h3>Pola grup stron w szablonie '.$szablon.'</h3>



  			<b>Pole do usunięcia:</b>

				<fieldset>

';

	$wykonaj = mysql_query ("SELECT id,nazwa FROM ".$db_pref."grupa WHERE id_serwisu='".$_SESSION['ID_serwisu']."';");

	while($wiersz=mysql_fetch_array ($wykonaj)){

	   $nazwa_pola = $wiersz['nazwa'];

	   $id_pola = $wiersz['id'];

	   $alias_pola = 'grupa_stron_'.$id_pola;

	   $cel = file_get_contents($sciezka.$szablon);

	   if (preg_match("/".$alias_pola."}/i", $cel)) {

echo'	   

				<label for="'.$alias_pola.'">

				<input id="'.$alias_pola.'" type="radio" name="pole_do_usuniecia" value="'.$alias_pola.'" class="f-radio" />

				'.$nazwa_pola.' - Alias: "'.$alias_pola.'"</label>	   

';

	   }

	}

 			

echo'			

				</fieldset>

			

			</fieldset>



			 



			<div class="f-submit-wrap">

			<input type="submit" name="usuniecie_pola_modulu" value="Usuń zaznaczone pole z szablonu" class="f-submit" /><br />

			</div>

			</fieldset>

			</form>

	';

}	







if($go=="podglad_pol_grup_stron" and isset($szablon)){

	$sciezka = "../../templates/".$katalog_serwisu;

	echo $komunikat.'

			<form action="#" method="post" class="f-wrap-1">

			<fieldset>

			<h3>Pola grup stron w szablonie '.$szablon.'</h3>

				<fieldset>

';

	$lp = 0;

	$wykonaj = mysql_query ("SELECT id,nazwa FROM ".$db_pref."grupa WHERE id_serwisu='".$_SESSION['ID_serwisu']."';");

	while($wiersz=mysql_fetch_array ($wykonaj)){

	   $nazwa_pola = $wiersz['nazwa'];

	   $id_pola = $wiersz['id']; 

	   $alias_pola = 'grupa_stron_'.$id_pola;

	   $cel = file_get_contents($sciezka.$szablon);

	   if (preg_match("/".$alias_pola."}/i", $cel)) {

	   $lp++;

echo'	   

				<label for="'.$alias_pola.'"><small>'.$lp.'.</small> &nbsp;&nbsp;<a href="#cms">'.$nazwa_pola.'</a></label>	   

';

	   }

	}

echo'			

				</fieldset>

			</fieldset>

			</form>

	';

}

	

	

	

if ($go=="dodaj_pole_modulowe" and isset($szablon)){		

	if (isset($_POST['dodanie_pola_modulu']) and isset($alias_pola)){   

	   $up = fopen("../../templates/".$katalog_serwisu.$szablon,"a+t");

	   fputs($up, "\n".'{$'.$alias_pola.'}');

	   fclose($up);

	   $komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Pole zostało przypisane do szablonu: <b>'.$szablon.'</b></p></div>';

	}else{

		$komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Pole modułowe zostanie dodane do szablonu: '.$szablon.'</p></div>';

	}



	echo $komunikat.'

	<form action="?go=dodaj_pole_modulowe" method="post" class="f-wrap-1">

	<input type="hidden" name="szablon" value="'.$szablon.'"> 

	

	<div class="req"><b>*</b> Pola wymagane</div>        

	<fieldset>       

	<h3>Dodawanie pola modułowego do szablonu</h3>     

	<label for="alias_pola"><b><span class="req">*</span>Pole modułu do dodania:</b>

	<select id="alias_pola" size="1" name="alias_pola" class="f-name" tabindex="1" />';

	

	$zapytanie = "SELECT nazwa_pola FROM ".$db_pref."pole_modulu ORDER BY `modul`;";

	$wykonaj = mysql_query ($zapytanie);

	while($wiersz=mysql_fetch_array ($wykonaj)){

	   $nazwa_pola = $wiersz['nazwa_pola'];

	   echo '<option value="'.$nazwa_pola.'">'.$nazwa_pola.'</option>';

	} 

	   

	echo '</select><br/> 

	</label>

	<div class="f-submit-wrap">

	<input type="submit" name="dodanie_pola_modulu" value="Dodaj pole modułu" class="f-submit" tabindex="2" /><br />

	</div>

	</fieldset>

	</form>

	';

}	







if($go=="usun_pole_modulu" and isset($szablon)){

	$sciezka = "../../templates/".$katalog_serwisu;

	

	if(isset($pole_do_usuniecia) or (isset($_POST['pole_do_usuniecia']) and $pole_do_usuniecia!=null)){

	  if(isset($potwierdzenie_usuniecia)){

	    $cel = file_get_contents($sciezka.$szablon);

	    $cel = str_replace('{$'.$pole_do_usuniecia.'}', "", $cel);

	    $up = fopen($sciezka.$szablon,"w");

	    fputs($up, $cel);

	    fclose($up);      

	    $komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Pole modułu "'.$pole_do_usuniecia.'" zostało usunięte pomyślnie z szablonu "'.$szablon.'"</p></div>';

	  }else{

	    $komunikat2 = '<div class="pagination">

	    <p><a href="?go=usun_pole_modulu&szablon='.$szablon.'&pole_do_usuniecia='.$pole_do_usuniecia.'&potwierdzenie_usuniecia"><strong>TAK</strong></a>&nbsp;&nbsp; <a href="?go=usun_pole_modulu"><font color="#FF0000">NIE</font></a></p>

	    <h4>Czy napewno chcesz usunąć to pole modułu?</h4></div>';

	    $komunikat = '<div class="featurebox"><h3>Uwaga!!!</h3><p>Pole "'.$pole_do_usuniecia.'" zostanie usunięte z szablonu</p>'.$komunikat2.'</div>';

	  }

	} 



	echo $komunikat.'

			<form action="?go=usun_pole_modulu&szablon='.$szablon.'" method="post" class="f-wrap-1">

			

			<div class="req"><b>*</b> Pola wymagane</div>

			

			<fieldset>

			

			<h3>Pola modułowe w szablonie '.$szablon.'</h3>



  			<b>Pole do usunięcia:</b>

				<fieldset>

';

	$wykonaj = mysql_query ("SELECT nazwa_pola,opis FROM ".$db_pref."pole_modulu;");

	while($wiersz=mysql_fetch_array ($wykonaj)){

	   $nazwa_pola = $wiersz['nazwa_pola'];

	   $opis_pola = $wiersz['opis']; 

	   $cel = file_get_contents($sciezka.$szablon);

	   if (preg_match("/".$nazwa_pola."}/i", $cel)) {

echo'	   

				<label for="'.$nazwa_pola.'">

				<input id="'.$nazwa_pola.'" type="radio" name="pole_do_usuniecia" value="'.$nazwa_pola.'" class="f-radio" />

				'.$nazwa_pola.' - '.$opis_pola.'</label>	   

';

	   }

	}

 			

echo'			

				</fieldset>

			

			</fieldset>



			 



			<div class="f-submit-wrap">

			<input type="submit" name="usuniecie_pola_modulu" value="Usuń zaznaczone pola z szablonu" class="f-submit" /><br />

			</div>

			</fieldset>

			</form>

	';

}







if($go=="podglad_pol_modulu" and isset($szablon)){

	$sciezka = "../../templates/".$katalog_serwisu;

	echo $komunikat.'

			<form action="#" method="post" class="f-wrap-1">

			<fieldset>

			<h3>Pola modułowe w szablonie '.$szablon.'</h3>

				<fieldset>

';

	$lp = 0;

	$wykonaj = mysql_query ("SELECT nazwa_pola,opis FROM ".$db_pref."pole_modulu;");

	while($wiersz=mysql_fetch_array ($wykonaj)){

	   $nazwa_pola = $wiersz['nazwa_pola'];

	   $opis_pola = $wiersz['opis']; 

	   $cel = file_get_contents($sciezka.$szablon);

	   if (preg_match("/".$nazwa_pola."}/i", $cel)) {

	   $lp++;

echo'	   

				<label for="'.$nazwa_pola.'"><small>'.$lp.'.</small> &nbsp;&nbsp;<a href="#cms">'.$nazwa_pola.'</a>&nbsp;&nbsp; <small>'.$opis_pola.'</small></label>	   

';

	   }

	}

echo'			

				</fieldset>

			</fieldset>

			</form>

	';

}





	

if($go=="szablony"){



echo '

			<table class="table1">

			<thead>

				<tr>

				<th colspan="2">Lista szalonów w aktualnym serwisie</th>

				</tr>

			</thead>

			<tbody>

				<tr>

				<th valign="bottom"><a href="?go=dodaj_szablon">'.ikonka("d").'</a> &nbsp;<b>Nazwa</b> &nbsp;<a href="?go=info#nazwa">(?)</a></th>

				<th width="105px" valign="bottom"><small><center>Ile pól edytowalnych<br>szablon / baza &nbsp;<a href="?go=info#pola_edytowalne">(?)</a></center></th>


				</tr>		

';



		$sciezka = "../../templates/".$katalog_serwisu;

		

	   $lista=array();

      $katalog = opendir($sciezka);

      while ($plik = strtolower(readdir($katalog))) { 

        if (($plik<>".")&&($plik<>"..")&&($plik<>"index.php")&&($plik<>"mod")&&($plik<>"404.tpl.html")&&($plik<>"admin_logowanie.tpl.html")&&($plik<>"faq.tpl.html")&&($plik<>"info_kontakt.tpl.html")&&($plik<>"przerwa_techniczna.tpl.html")) { 

          if(is_dir($sciezka.$plik)) 

            $lista[]="[$plik]";

          else{

	          $temp = explode('.tpl.html',$plik);

	          if($temp[1]!=".add" and $temp[1]!=".bak"){

	          	$lista[] = $plik;

	          }

          }

        } 

      } 

      closedir($katalog);

			

      sort($lista);

		$licznik = 0;

      for ($i=0;$i<count($lista);$i++) {

			

       if (!preg_match("/mod_form/", $lista[$i]) and !preg_match("/popup/", $lista[$i]) and !preg_match("/.bak.add/", $lista[$i]) and !preg_match("/.add/", $lista[$i])) {

  			  $temp = explode('.tpl.html',$lista[$i]);

  			  $nazwa_modulu = str_replace('_', " ", strtolower($temp[0]));	

  			  if($nazwa_modulu == "sg"){

  				  $nazwa_modulu = "Strona główna";

  		 	  }

  

   $nazwa_modulu = ucfirst($nazwa_modulu);

  		

	// pola edytowalne            

	$ile_pol_edytowalnych_w_szablonie = 0;

	$wykonaj = mysql_query ("SELECT nazwa_pola FROM ".$db_pref."pole WHERE nazwa_pliku='".$lista[$i]."' and id_serwisu='".$ID_serwisu."';");

	$ile_pol_edytowalnych = mysql_num_rows($wykonaj);

	while($wiersz=mysql_fetch_array ($wykonaj)){

	   $nazwa_pola = $wiersz['nazwa_pola'];

	   $cel = file_get_contents($sciezka.$lista[$i]);

	   if (preg_match("/".$nazwa_pola."}/i", $cel)) {

	      $ile_pol_edytowalnych_w_szablonie++;

	   }

	}

	$ikonka_usun_pole_edytowalne = null;

	$ikonka_podglad_pole_edytowalne = null;

	if($ile_pol_edytowalnych<>0){

		$ikonka_usun_pole_edytowalne = '<a href="?go=usun_pole_edytowalne&szablon='.$lista[$i].'">'.ikonka("u").'</a>';

		$ikonka_podglad_pole_edytowalne = '<a href="?go=podglad_pol_edycji&szablon='.$lista[$i].'">'.ikonka("l").'</a>';	

	}

	if($ile_pol_edytowalnych<>$ile_pol_edytowalnych_w_szablonie){

	   $ile_pol_edytowalnych_w_szablonie = '<font color="#ff0000">'.$ile_pol_edytowalnych_w_szablonie.'</font>';

	   $ile_pol_edytowalnych = '<font color="#ff0000">'.$ile_pol_edytowalnych.'</font>';

	}

					

  	

	
 

	

	echo '

        	<tr>

        		<th class="sub">

        		

        		<small><a href="?go=usun_szablon&szablon='.$lista[$i].'">'.ikonka("u").'</a> &nbsp;<a href="?go=podglad_szablonu&szablon='.$lista[$i].'" onmouseover="domTT_activate(this, event, \'content\', \'templates/'.$_SESSION['katalog_serwisu'].$lista[$i].'\');">'.$nazwa_modulu.'</a></small>

        		

        		</th>

				

				<td align="center"><a href="?go=dodaj_pole_edytowalne&szablon='.$lista[$i].'">'.ikonka("d").'</a> '.$ikonka_usun_pole_edytowalne.' '.$ikonka_podglad_pole_edytowalne.' &nbsp;'.$ile_pol_edytowalnych_w_szablonie.' / '.$ile_pol_edytowalnych.'</td>

				

        	</tr>	

     	

        	';

       }   

				

				

			



      }

			

	echo'			

			</tbody>

			</table>

			<br />		

	';

}







}if($logged_in==0 or !pd(5)){echo'<center><h2>BRAK DOSTĘPU</h2></center>';}	

?>	

			</div>

		</div>

	</div>

</div>

</body>

</html>

